Package com.microblink.blinkid.uisettings.options

# Interface ScanUIEventListener

All Superinterfaces:
  `android.os.Parcelable`

public interface ScanUIEventListener extends android.os.Parcelable
Listener interface for handling various UI events during the scanning process.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDataMatchFailedDialogShown()`
  Called when the data match failed dialog is displayed.
  `void`
  `onDocumentUnsupportedDialogShown()`
  Called when the document unsupported dialog is displayed.
  `void`
  `onFirstSideDone()`
  Called when the first side is done and the UI starts showing instructions for the second side.
  `void`
  `onScanBarcodeMessageShown()`
  Called when the UI message for the barcode scan step is displayed.
  `void`
  `onSecondSideScanTimeoutDialogShown()`
  Called when the dialog for the second side scan timeout is displayed.

  ### Methods inherited from interface android.os.Parcelable

  `describeContents, writeToParcel`

- ## Method Details

  - ### onScanBarcodeMessageShown

    void onScanBarcodeMessageShown()
    Called when the UI message for the barcode scan step is displayed.

  - ### onDataMatchFailedDialogShown

    void onDataMatchFailedDialogShown()
    Called when the data match failed dialog is displayed. Note: `BaseBlinkIdUiSettings.setDocumentDataMatchRequired(boolean)` should be set to `true` for this event to be triggered.

  - ### onDocumentUnsupportedDialogShown

    void onDocumentUnsupportedDialogShown()
    Called when the document unsupported dialog is displayed.

  - ### onFirstSideDone

    void onFirstSideDone()
    Called when the first side is done and the UI starts showing instructions for the second side.

  - ### onSecondSideScanTimeoutDialogShown

    void onSecondSideScanTimeoutDialogShown()
    Called when the dialog for the second side scan timeout is displayed. Note: `BaseBlinkIdUiSettings.setBackSideScanningTimeoutMs(long)` must not be set to `0` for this event to be triggered.